---
lang: en
title: 'API docs: context.genericinterceptorchain.asinterceptor'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/context
permalink: /doc/en/lb4/apidocs.context.genericinterceptorchain.asinterceptor.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/context](./context.md) &gt; [GenericInterceptorChain](./context.genericinterceptorchain.md) &gt; [asInterceptor](./context.genericinterceptorchain.asinterceptor.md)

## GenericInterceptorChain.asInterceptor() method

Use the interceptor chain as an interceptor

**Signature:**

```typescript
asInterceptor(): GenericInterceptor<C>;
```
**Returns:**

[GenericInterceptor](./context.genericinterceptor.md)<!-- -->&lt;C&gt;


